Index: trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- trunk/calendar/inc/class.uicalendar.inc.php	(revision 4844)
+++ trunk/calendar/inc/class.uicalendar.inc.php	(revision 5132)
@@ -4383,137 +4300,8 @@
 						);
 						$p->set_var($var);
-						$eventsCached = $this->bo->cached_events[$date];
-
-						if($_GET['d'] == '1')
-						{
-
-						    for($i_events = 0; $i_events < count($eventsCached) ; $i_events++)
+						$events = $this->bo->cached_events[$date];
+						foreach($events as $event)
 							{
-							if ($eventsCached[$i_events]['users_status'] == 'R')
-							{
-								continue;	// user does not want to see rejected events
-							}
-							$events[] = $eventsCached[$i_events];
-						    }
-						    /*echo "<pre>";
-							print_r($events1);
-
-						    echo "</pre>";
-						    exit();*/
-
-						    $newEvents = Array();
-						    $eventAux = Array
-								(
-								    'owner' => '',
-								    'id' => '',
-								    'type' => '',
-								    'public' => '',
-								    'category' => '',
-								    'title' => '',
-								    'description' => '',
-								    'alter_by' => '',
-								    'observations' => '',
-								    'attachment' => '',
-								    'ex_participants' => '',
-								    'uid' => '',
-								    'location' => '',
-								    'reference' => '',
-								    'start' => Array
-									(
-									    'year' => '',
-									    'month' => '',
-									    'mday' => '',
-									    'hour' => '',
-									    'min' => '',
-									    'sec' => '',
-									    'alarm' => '',
-									),
-
-								    'modtime' => Array
-									(
-									),
-
-								    'end' => Array
-									(
-									    'year' => '',
-									    'month' => '',
-									    'mday' => '',
-									    'hour' => '',
-									    'min' => '',
-									    'sec' => '',
-									    'alarm' => '',
-									),
-
-								    'priority' => '',
-								    'users_status' => '',
-								    'participants' => Array
-									(
-									),
-
-								    'alarm' => Array
-									(
-									),
-
-								);
-
-						    $delta = 60; //em segundos
-						    for($i_events = 0; $i_events < count($events) ; $i_events++)
-						    {
-
-							$newEvents[] = $events[$i_events];
-
-							$hf_current = mktime($events[$i_events]['end']['hour'], 0, 0, $month, $day, $year);
-							$hi_prox = mktime($events[$i_events+1]['start']['hour'], 0, 0, $month, $day, $year);
-
-							if($events[$i_events]['end']['min'] > 0)
-							{
-							    $hf_current += 60*$delta;
-							}
-
-							while($hi_prox > $hf_current)
-							{
-
-							    $aux1 = date('Y:m:d:H:i:s',$hf_current);
-							    $aux2 = explode(':',$aux1);
-							    $eventAux['start']['year'] = $aux2[0];
-							    $eventAux['start']['month'] = $aux2[1];
-							    $eventAux['start']['mday'] = $aux2[2];
-							    $eventAux['start']['hour'] = $aux2[3];
-							    $eventAux['start']['min'] = $aux2[4];
-							    $eventAux['start']['sec'] = $aux2[5];
-
-							    //$aux3 = date('Y:m:d:H:i:s',$hf_current);
-							    //$aux4 = explode(':',$aux3);
-							    $eventAux['end']['year'] = $aux2[0];
-							    $eventAux['end']['month'] = $aux2[1];
-							    $eventAux['end']['mday'] = $aux2[2];
-							    $eventAux['end']['hour'] = $aux2[3];
-							    $eventAux['end']['min'] = $aux2[4];
-							    $eventAux['end']['sec'] = $aux2[5];
-
-							    $eventAux['owner'] = $GLOBALS['phpgw_info']['user']['account_id'];
-							    $eventAux['title'] = "\n\n\n";
-							    $eventAux['description'] = '';
-							    $eventAux['observations'] = '';
-							    $eventAux['location'] = '';
-
-							    $newEvents[] = $eventAux;
-							    $hf_current += 60*$delta;
-
-							}
-						    }
-
-						    foreach($newEvents as $event)
-						    {
-							$p->set_var('day_events',$this->link_to_month_entry($event,$month,$day,$year));
-							$p->parse('events','event',True);
-							$p->set_var('day_events','');
-						}
-					}
-						else
-						{
-						    foreach($eventsCached as $event)
-						    {
-							if ($this->bo->rejected_no_show($event) || $event['users_status'] == 'R')
+							if ($this->bo->rejected_no_show($event))
 							{
 								continue;	// user does not want to see rejected events
@@ -4522,12 +4310,5 @@
 							$p->parse('events','event',True);
 							$p->set_var('day_events','');
-						    }
 						}
-
-						/*echo "<pre>";
-						    print_r($newEvents);
-
-						echo "</pre>";
-						exit();*/
 					}
 					$p->parse('daily_events','day_event',True);
@@ -4552,4 +4333,12 @@
 			}
 
+/*			$this->bo->store_to_cache(
+				Array(
+					'syear'	=> $year,
+					'smonth'=> $month,
+					'sday'	=> 1
+				)
+			);
+*/
 			$day_ini = $_GET['day_ini'];// dia do inicio da impressao; o padrao e o dia atual;
 			$num_dias = $_GET['num_dias'];// quantidade de dias a partir do dia inicial;
@@ -4558,5 +4347,5 @@
 //			$monthend   = (int)(date('Ymd',mktime(0,0,0,$month + 1,0,$year)));
 
-			if($num_dias != '')
+			if($num_dias != 0)
 			{
 				//se a qtde de dias for informada, a data final para impressao considera a soma $day_ini+$num_dias;
@@ -4609,7 +4398,8 @@
 
 			$var = Array(
-				'cols'      => 1
-				//'day_events'=> ''
-			);
+				'cols'      => 1,
+				'day_events'=> '' //$this->month_week_header($month,$year,False)
+			);
+//			$this->output_template_array($p,'row','event',$var);
 
 			$cellcolor = $this->theme['row_on'];
@@ -4629,11 +4419,6 @@
 /***************************************************************************************/
 
-		function display_month($params) //($month,$year,$showyear,$owner=0)
-		{
-			$month = $params['month'];
-			$year = $params['year'];
-			$showyear = $params['showyear'];
-			$owner = $params['owner'];
-
+		function display_month($month,$year,$showyear,$owner=0)
+		{
 			if($this->debug)
 			{
@@ -4678,10 +4463,4 @@
 
 			$cellcolor = $this->theme['row_on'];
-
-			$result_events_json = $this->print_events_to_show_json($params);
-			$p->set_var('date','Date(2011,1,1)');
-			$p->set_var('hora_final',$result_events_json['hora_final']);
-			$p->set_var('events_json',json_encode($result_events_json['events_to_show_json'])?json_encode($result_events_json['events_to_show_json']):'null');
-
 
 			for($i = (int)($start + $GLOBALS['phpgw']->datetime->tz_offset);(int)(date('Ymd',$i)) <= $monthend;$i += 604800)
@@ -4789,11 +4568,16 @@
 			$p->set_block('view','hr','hr');
 
+                        include_once($_SESSION['rootPath'].'/calendar/inc/class.ex_participants.inc.php');
+                        $langp = array();
+                        $langp['ACCEPTED'] = lang('Accepted');
+                        $langp['DECLINED'] = lang('Declined');
+                        $langp['TENTATIVE'] = lang('Tentative');
+                        $langp['DELEGATED'] = lang('Delegated');
+                        $langp['NO ANSWER'] = lang('No answer');
+                        $exParticipants = new exParticipants($langp);
+                        $exParticipants->setParticipantsBySerializable($event['ex_participants']);
+                        $event['ex_participants'] = $exParticipants->getParticipantsView();
+
 			$vars = $this->bo->event2array($event);
-
-                        if($vars['attachment']['data'] == "")
-                            $vars['attachment']['data'] = lang('No Attachment');
-                        else{
-                            $vars['attachment']['data'] = lang('Has attachment(s)');
-                        }
                         
 			$vars['title']['tr_color'] = $this->theme['th_bg'];
@@ -4804,6 +4588,4 @@
 				{
 					$vars['participants']['data'][$user] = $parts[1].' (<a href="'.$this->page('edit_status','&cal_id='.$event['id'].'&owner='.$user).'">'.$parts[2].'</a>)';
-					$vars['participants']['data'][$user].='&nbsp;(<a href=\'index.php?menuaction=calendar.uicalendar.screen_delegate_event&id_event='.$event['id'].'&delegator='.$user.'&date='.$_REQUEST["date"].'&eventArray='.$event.'\'>'.lang("Delegate event").'</a>)';
-//system('echo "event: '.$event['start'].'" >>/tmp/controle');
 				}
 			}
@@ -5051,508 +4833,4 @@
 			return $p->fp('out','day');
 		}	// end function
-
-                //função para exibição do calendário novo.
-
-                function print_day_new($params){
-                        $this->bo->store_to_cache(
-			Array(
-					'syear'  => $params['year'],
-					'smonth' => $params['month'],
-					'sday'   => $params['day'],
-					'eyear'  => $params['year'],
-					'emonth' => $params['month'],
-					'eday'   => $params['day']
-				)
-			);
-
-			$p = CreateObject('phpgwapi.Template',$this->template_dir);
-			$p->set_unknowns('keep');
-
-			$tpl = 'day_cal.tpl';
-			//$new_component_tpl = 'new_component.tpl';
-
-			if((int)($GLOBALS['phpgw_info']['user']['preferences']['calendar']['mainscreen_showevents'])==2 &&
-				$GLOBALS['phpgw_info']['flags']['currentapp'] == 'home')
-			{
-				$tpl = 'day_list.tpl';
-			}
-
-			$templates = Array(
-				'day_cal'   => $tpl
-				//'new_component_tpl' => $new_component_tpl
-			);
-
-			$templateSet = $GLOBALS['phpgw_info']['server']['template_set'];
-
-			if(isset($_GET['date']))
-			{
-			    $dia = substr($_GET['date'],-2);
-			}
-			elseif(isset($_POST['day']))
-			{
-			    $dia = $_POST['day'];
-			}
-			else
-			{
-			    $dia = $params['day'];
-			}
-			
-			$print =  '<a href="javascript:void(0)" id="printFriendly">['.lang('Printer Friendly').']</a>';
-			$param = '&year='.$this->bo->year.'&month='.$this->bo->month.'&friendly=1'.'&day_ini='.$dia.'&num_dias=1'.'&d=1';
-
-			$p->set_file($templates);
-			$p->set_block('day_cal','day','day');
-			//$p->set_block('new_component_tpl','new_component','new_component');
-			$params['period'] = 1;
-                    	$result_events_json = $this->print_events_to_show_json($params);
-			$p->set_var('date',$result_events_json['date_events_json']);
-			$p->set_var('templateSet',$templateSet);
-			$p->set_var('iprint',$print);
-			$p->set_var('param',$param);
-			$p->set_var('hora_final',$result_events_json['hora_final']);
-			$p->set_var('hora_inicial',$result_events_json['hora_inicial']);
-			$p->set_var('hour_size_px',$result_events_json['hour_size_px']);
-
-			$p->set_var('events_json',json_encode($result_events_json['events_to_show_json'])?json_encode($result_events_json['events_to_show_json']):'null');
-                        return $p->fp('out','day');
-                }
-
-		function print_week_new($params){
-
-		    $p = CreateObject('phpgwapi.Template',$this->template_dir);
-		    $p->set_unknowns('keep');
-
-		    $tpl = 'new_week.tpl';
-
-		    if((int)($GLOBALS['phpgw_info']['user']['preferences']['calendar']['mainscreen_showevents'])==2 &&
-		    $GLOBALS['phpgw_info']['flags']['currentapp'] == 'home')
-		    {
-			$tpl = 'day_list.tpl';
-		    }
-
-		    $minical_prev = $this->mini_calendar(
-			Array(
-			    'day'		=> 1,
-			    'month'		=> $this->bo->month,
-			    'year'		=> $this->bo->year,
-			    'link'		=> 'week',
-			    'control'		=> False,
-			    'outside_month'	=> False
-			    )
-		    );
-
-		    $minical_next1 = $this->mini_calendar(
-			Array(
-			    'day'		=> 1,
-			    'month'		=> $this->bo->month+2,
-			    'year'		=> $this->bo->year,
-			    'link'		=> 'week',
-			    'control'		=> False,
-			    'outside_month'	=> False
-			)
-		    );
-
-		    $minical_next = $this->mini_calendar(
-			Array(
-			    'day'		=> 1,
-			    'month'		=> $this->bo->month+1,
-			    'year'		=> $this->bo->year,
-			    'link'		=> 'week',
-			    'control'		=> False,
-			    'outside_month'	=> False
-			)
-		    );
-                    $this->bo->read_holidays($params['year']);
-		    $next = $GLOBALS['phpgw']->datetime->makegmttime(0,0,0,$this->bo->month,$this->bo->day + 7,$this->bo->year);
-		    $prev = $GLOBALS['phpgw']->datetime->makegmttime(0,0,0,$this->bo->month,$this->bo->day - 7,$this->bo->year);
-		    $prev_week_link = '<a href="'.$this->page('week','&date='.$prev['full']).'">&lt;&lt;</a>';
-		    $next_week_link = '<a href="'.$this->page('week','&date='.$next['full']).'">&gt;&gt;</a>';
-
-		    $daily = $this->set_week_array($GLOBALS['phpgw']->datetime->get_weekday_start($params['year'],$params['month'],$params['day']),$this->theme['row_on'],True);
-		    foreach($daily as $key => $value)
-		    {
-			$dates[] = $key;
-		    }
-
-		    $day_ini = (int)substr($dates[0],6,2);
-
-		    $print =  '<a href="javascript:void(0)" id="printFriendly">['.lang('Printer Friendly').']</a>';
-
-		    $param = '&year='.$this->bo->year.'&month='.$this->bo->month.'&friendly=1'.'&day_ini='.$day_ini.'&num_dias=7';
-
-		    $m = mktime(0,0,0,$this->bo->month,1,$this->bo->year);
-
-		    $templates = Array(
-			'new_week'   => $tpl,
-		    );
-                    $feriados_do_ano = Array();
-                    foreach ($this->bo->cached_holidays as $key => $value)
-                        {
-                            $feriados_do_ano[$key] = utf8_encode($this->bo->cached_holidays[$key][0]['name']);
-                        }
-		    $p->set_file($templates);
-		    $p->set_block('new_week','day','day');
-		    $params['period'] = 2;
-		    $result_events_json = $this->print_events_to_show_json($params);
-		    $p->set_var('date',$result_events_json['date_events_json']);
-		    $p->set_var('hora_final',$result_events_json['hora_final']);
-		    $p->set_var('hora_inicial',$result_events_json['hora_inicial']);
-		    $p->set_var('minical',$minical_prev.'<br>'.$minical_next.'<br>'.$minical_next1);
-		    $p->set_var('iprint',$print);
-		    $p->set_var('param',$param);
-		    $p->set_var('title',$prev_week_link.'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;::'.$this->bo->get_week_label().'::&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$next_week_link);
-                    $p->set_var('user',$GLOBALS['phpgw']->common->grab_owner_name($this->bo->owner));
-		    $p->set_var('events_json',json_encode($result_events_json['events_to_show_json'])?json_encode($result_events_json['events_to_show_json']):'null');
-                    $p->set_var('holidays_json',json_encode($feriados_do_ano)?json_encode($feriados_do_ano):null);
-		    return $p->fp('out','day');
-
-                }
-
-                function print_month_new($params){
-
-			$p = CreateObject('phpgwapi.Template',$this->template_dir);
-			$p->set_unknowns('keep');
-			$tpl = 'new_month.tpl';
-
-			if((int)($GLOBALS['phpgw_info']['user']['preferences']['calendar']['mainscreen_showevents'])==2 &&
-				$GLOBALS['phpgw_info']['flags']['currentapp'] == 'home')
-			{
-				$tpl = 'day_list.tpl';
-			}
-
-
-
-			$templates = Array(
-				'new_month'   => $tpl,
-			);
-
-                        $minical_prev = $this->mini_calendar(
-					Array(
-						'day'		=> 1,
-						'month'		=> $this->bo->month -1,
-						'year'		=> $this->bo->year,
-						'link'		=> 'day',
-						'control'	=> False,
-						'outside_month'	=> False
-					)
-				);
-
-                        $minical_next1 = $this->mini_calendar(
-					Array(
-						'day'		=> 1,
-						'month'		=> $this->bo->month + 2,
-						'year'		=> $this->bo->year,
-						'link'		=> 'day',
-						'control'	=> False,
-						'outside_month'	=> False
-					)
-				);
-
-			$minical_next = $this->mini_calendar(
-					Array(
-						'day'		=> 1,
-						'month'		=> $this->bo->month + 1,
-						'year'		=> $this->bo->year,
-						'link'		=> 'day',
-						'control'	=> False,
-						'outside_month'	=> False
-					)
-				);
-                        $this->bo->read_holidays($params['year']);
-			$print =  '<a href="javascript:void(0)" id="printFriendly">['.lang('Printer Friendly').']</a>';
-
-			$param = '&year='.$this->bo->year.'&month='.$this->bo->month.'&friendly=1';
-
-                        $next = $this->bo->month + 1;
-			$prev = $this->bo->month - 1;
-			$nextyear = $this->bo->year;
-			$prevyear = $this->bo->year;
-			if ($this->bo->month == 12)
-			{
-				$next = 1;
-				$nextyear = $nextyear + 1;
-			}
-			elseif ($this->bo->month == 1)
-			{
-				$prev = 12;
-				$prevyear = $prevyear - 1;
-			}
-
-                        $feriados_do_ano = Array();
-                        foreach ($this->bo->cached_holidays as $key => $value)
-                        {
-                            $feriados_do_ano[$key] = utf8_encode($this->bo->cached_holidays[$key][0]['name']);
-                        }
-                        $m = mktime(0,0,0,$this->bo->month,1,$this->bo->year);
-			$p->set_file($templates);
-			$p->set_block('new_month','day','day');
-			$params['period'] = 3;
-                    	$result_events_json = $this->print_events_to_show_json($params);
-                        $prev_month_link = '<a href="'.$this->page('month','&year='.$prevyear.'&month='.$prev.'&sday='.$sday).'">&lt;&lt;</a>';
-			$next_month_link = '<a href="'.$this->page('month','&year='.$nextyear.'&month='.$next.'&sday='.$sday).'">&gt;&gt;</a>';
-			$p->set_var('date',$result_events_json['date_events_json']);
-			$p->set_var('hora_final',$result_events_json['hora_final']);
-			$p->set_var('hora_inicial',$result_events_json['hora_inicial']);
-                        $p->set_var('minical',$minical_prev.'<br>'.$minical_next.'<br>'.$minical_next1);
-			$p->set_var('iprint',$print);
-			$p->set_var('param',$param);
-                        $p->set_var('title',$prev_month_link."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;::".lang(strftime("%B",$m)).' '.$this->bo->year.'::&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$next_month_link);
-                        $p->set_var('user',$GLOBALS['phpgw']->common->grab_owner_name($this->bo->owner));
-			$p->set_var('events_json',json_encode($result_events_json['events_to_show_json'])?json_encode($result_events_json['events_to_show_json']):'null');
-                        $p->set_var('holidays_json',json_encode($feriados_do_ano)?json_encode($feriados_do_ano):null);
-                        return $p->fp('out','day');
-                }
-
-		//função vai devolver os eventos do mês atual para exibição no novo componente da Agenda
-		function print_events_to_show_json($params)
-		{
-
-			if( (!isset($this->bo->prefs['calendar']['interval'])) || ( (isset($this->bo->prefs['calendar']['interval'])) && ( ($this->bo->prefs['calendar']['interval'] != 42) && ($this->bo->prefs['calendar']['interval'] != 84) ) ) )
-			{
-				$this->bo->prefs['calendar']['interval'] = 42;
-				$GLOBALS['phpgw']->preferences->add('calendar','interval',42);
-				$GLOBALS['phpgw']->preferences->save_repository();
-			}
-
-			if(!is_array($params))
-			{
-				$this->index();
-			}
-
-                        // $params['period'] pode ser 1 pra dia, 2 pra semana e 3 pra mes
-
-                        if(!$params['period'] || $params['period'] == '')
-                            $period = 3;
-                        else
-                            $period = $params['period'];
-			$accounts = CreateObject('phpgwapi.accounts');
-			$accountId = $accounts->name2id($account_name);
-                        $date_to_eval = sprintf("%04d%02d%02d",$params['year'],$params['month'],$params['day']);
-                        $dates = array();
-                        if($period == 1){
-                            $dates[] = $date_to_eval;
-                            $this->bo->store_to_cache(
-				Array(
-					'smonth'=> $params['month'],
-					'sday'	=> $params['day'],
-					'syear'	=> $params['year']
-				)
-                            );
-                        }else if($period == 2){
-                            $daily = $this->set_week_array($GLOBALS['phpgw']->datetime->get_weekday_start($params['year'],$params['month'],$params['day']),$this->theme['row_on'],True);
-
-                            foreach($daily as $key => $value)
-                                $dates[] = $key;
-
-                             $this->bo->store_to_cache(
-				Array(
-					'smonth'=> (int)substr($dates[0],4,2),
-					'sday'	=> (int)substr($dates[0],6),
-					'syear'	=> (int)substr($dates[0],0,4),
-                                        'eyear'	=> 0,
-					'emonth'=> 0,
-					'eday'	=> ((int)substr($dates[0],6))+6,
-				)
-                            );
-                        }else{
-                             $month_tmp = substr($date_to_eval, 0, 6);
-
-                             $this->bo->store_to_cache(
-				Array(
-					'smonth'=> (int)substr($date_to_eval,4,2),
-					'sday'	=> 1,
-					'syear'	=> (int)substr($date_to_eval,0,4),
-                                        'eyear'	=> 0,
-					'emonth'=> 0,
-					'eday'	=> ((int)substr($date_to_eval,6))+30,
-				)
-                            );
-                             for( $i=1 ; $i<=31; $i++){
-                                 if($i<10)
-                                     $day= $month_tmp."0".(string)$i;
-                                 else
-                                     $day=$month_tmp.(string)$i;
-                                 $dates[] = $day;
-
-                             }
-
-                        }
-
-                        $prefs = CreateObject('phpgwapi.preferences', $accountId);
-			$account_prefs = $prefs->read();
-			//print_debug('in print_day()');
-
-                        $month = (string)((Int)$params['month']-1);
-                        $date_events_json = 'Date('.$params['year'].','.$month.','.$params['day'].')';
-
-			print_debug('Date to Eval',$date_to_eval);
-
-			$hora_inicial = $account_prefs['calendar']['workdaystarts'];
-			$hora_final = $account_prefs['calendar']['workdayends']; //18;
-
-			$hour_size_px = $account_prefs['calendar']['interval'] ? $account_prefs['calendar']['interval'] : 42;
-
-			$title_view = $account_prefs['calendar']['title_view'];
-
-                        $events_to_show_json = array();
-			$templateSet = $GLOBALS['phpgw_info']['server']['template_set'];
-                        foreach($dates as $day)
-                        {
-
-                            $events = $this->bo->cached_events[$day];
-
-                            foreach($events as $event)
-                            {
-                                //$is_private = !$event['public'] && !$this->bo->check_perms(PHPGW_ACL_READ,$event);
-                                if($event['users_status'] == 'R' && $this->bo->prefs['calendar']['show_rejected'] == 0 && $event['owner']  != $GLOBALS['phpgw_info']['user']['account_id'])
-                                        continue;
-
-                                if($event['recur_type']){
-                                    $recur = $day;
-                                    $event['start']['year'] = (int)substr($day,0,4);
-                                    $event['start']['month'] = (int)substr($day,4,2);
-                                    $event['start']['mday'] = (int)substr($day,6,2);
-                                    $event['end']['year'] =  (int)substr($day,0,4);
-                                    $event['end']['month'] = (int)substr($day,4,2);
-                                    $event['end']['mday'] = (int)substr($day,6,2);
-                                    $event['id'] = $event['id'].'rc'.$day;
-                                }else{
-                                    $recur = false;
-                                }
-
-                                $isPublic = 1;
-                                if(($event['type'] == E && $event['public'] == 0))
-                                {
-                                    $isPublic = 0;
-                                    $isPublicTitle = lang('restrict');
-                                }
-
-                                if(($event['type'] == P && $event['public'] == 0))
-                                {
-                                    $isPublic = 0;
-                                    $isPublicTitle = lang('private');
-                                }
-
-                                $eventTime = ( (mktime($event['end']['hour'], $event['end']['min'], 0, $event['end']['month'], $event['end']['mday'], $event['end']['year'])-mktime($event['start']['hour'], $event['start']['min'], 0, $event['start']['month'], $event['start']['mday'], $event['start']['year']) )/60 );
-
-                                $participants = $this->planner_participants($event['participants']);
-				$intersection = FALSE;
-
-                                foreach($events as $ev)
-                                {
-                                    if($ev['id'] == $event['id']) continue;
-                                      if($ev['users_status'] == 'R') continue;
-                                      $event_start = 60*$event['start']['hour']+$event['start']['min'];
-                                      $event_end = 60*$event['end']['hour']+$event['end']['min'];
-                                      $event_i_start = 60*$ev['start']['hour']+$ev['start']['min'];
-                                      $event_i_end = 60*$ev['end']['hour']+$ev['end']['min'];
-                                    if((($event_start >= $event_i_start) && ($event_start < $event_i_end))||(($event_start < $event_i_start) && ($event_i_start < $event_end)))
-                                    {
-                                        $intersection = TRUE;
-                                        break;
-                                    }
-                                }
-                                if($event['users_status'] == 'R')
-				{
-                                    $rejected = TRUE;
-				}
-                                else
-				{
-                                    $rejected = FALSE;
-				}
-
-				$evDescription = '';
-				if($title_view == 0)
-				{
-				    $evDescription = " - ".$event['description'];
-				}
-
-				if($_GET['menuaction'] ==  'calendar.uicalendar.day')
-				{
-				    $text = $event['description'];
-				}
-				elseif($_GET['menuaction'] ==  'calendar.uicalendar.week')
-				{
-				    
-				    $text = ' - '.$event['end']['hour'].':'.$event['end']['min'];
-
-				    //is recurrent?
-				    $text .= (isset($recur) && $recur != false) ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('recurring event').'" src="calendar/templates/'.$templateSet.'/images/recur.png"/>' : '' ;
-
-				    //participants?
-				    if(count($event['participants']) > 1)
-				    {
-					$text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/multi_3.png"/>';
-				    }
-				    else
-				    {
-					$text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/single.png"/>';
-				    }
-
-				    //has attachments?
-				    $text .= (isset($event['attachment']) && $event['attachment'] != '') ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('email notifications with attachments has been sent').'" src="calendar/templates/'.$templateSet.'/images/clip.png"/>' : '' ;
-
-				    //is public?
-				    $text .= $isPublic == 0 ? ' ' . '<img width="11px" height="10px" border="0" title="'.$isPublicTitle.'" src="calendar/templates/'.$templateSet.'/images/private.png"/>' : '' ;
-
-				    //has alarm?
-				    $text .= (isset($event['alarm']) && count($event['alarm']) >= 1) ? ' ' . '<img width="11px" height="10px" border="0" title="'.lang('alarm').'" src="calendar/templates/'.$templateSet.'/images/alarm.png"/>' : '' ;
-
-				    $text .= ' - ' . $event['title'].$evDescription;
-				}
-				else
-				{
-				    $text = ' - '.$event['end']['hour'].':'.$event['end']['min'] . ' - '. $event['title'].$evDescription;
-				}
-
-                                $events_to_show_json[] = array(
-                                    start_date		    => $event['start']['year'].'-'.$event['start']['month'].'-'.$event['start']['mday'].' '.$event['start']['hour'].':'.$event['start']['min'],
-                                    end_date		    => $event['end']['year'].'-'.$event['end']['month'].'-'.$event['end']['mday'].' '.$event['end']['hour'].':'.$event['end']['min'] . ' - ' . utf8_encode($event['title']),
-                                    text		    => utf8_encode($text),
-				    textTitle		    => utf8_encode($event['description']), //week and month tooltip
-                                    descOnTitle		    => ($eventTime <= 57) ? 1 : 0,
-                                    title		    => utf8_encode($event['title']),
-                                    observation		    => utf8_encode($event['observations']),
-                                    location		    => utf8_encode($event['location']),
-                                    id			    => $event['id'],
-                                    participants	    => (count($event['participants']) > 1) ? 1 : 0,
-                                    participants_title	    => $participants,
-                                    attachments		    => $event['attachment'] ? 1 : 0 ,
-				    attachmentsTitle	    => utf8_encode(lang('email notifications with attachments has been sent')),
-                                    isPublic		    => $isPublic,
-                                    isPublicTitle	    => utf8_encode($isPublicTitle),
-                                    alarm		    => (isset($event['alarm']) && count($event['alarm']) >= 1) ? 1 : 0,
-				    alarmTitle		    => utf8_encode(lang('alarm')),
-                                    recur		    => $recur,
-				    recurTitle		    => utf8_encode(lang('recurring event')),
-                                    intersection	    => $intersection,
-                                    rejected                => $rejected,
-				    title_view		    => $title_view
-                                );
-
-				if($event['start']['hour'] < $hora_inicial)
-				{
-				    $hora_inicial = $event['start']['hour'];
-				}
-
-				if($event['end']['hour'] >= $hora_final)
-				{
-				    $hora_final = $event['end']['hour'] + 1;
-				}
-                            }
-                        }
-
-			$result = Array(
-			    'hora_inicial'	    => $hora_inicial,
-			    'hora_final'	    => $hora_final,
-			    'hour_size_px'	    => $hour_size_px,
-			    'date_events_json'	    => $date_events_json,
-			    'events_to_show_json'   => $events_to_show_json
-			);
-
-			return $result;
-		}	// end function
-
-
 
 		function timematrix($param)
@@ -5693,5 +4971,5 @@
 			{
 				$var = Array(
-					'action_url_button'	=> $this->page('set_action','&cal_id='.$cal_id.'&action='.$param.'&user_id='.$this->bo->owner),
+					'action_url_button'	=> $this->page('set_action','&cal_id='.$cal_id.'&action='.$param.'&user='.$this->bo->owner),
 					'action_text_button'	=> '  '.$text.'  ',
 					'action_confirm_button'	=> '',
